%global pypi_name pyproject-api
%global srcname pyproject_api

Name:           python-%{pypi_name}
Version:        1.9.0
Release:        %mkrel 2
Summary:        API to interact with the python pyproject.toml based projects
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pyproject-api/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
pyproject-api aims to abstract away interaction with pyproject.toml style
projects in a flexible way.

%package     -n python3-%{pypi_name}
Summary:        API to interact with the python pyproject.toml based projects

%description -n python3-%{pypi_name}
pyproject-api aims to abstract away interaction with pyproject.toml style
projects in a flexible way.

%prep
%autosetup -p1 -n pyproject_api-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_api

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.0-2.mga10
+ Revision: 2236282
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 1.9.0-1.mga10
+ Revision: 2150808
- new version 1.9.0
- rebuild for python3.13

* Wed Dec 20 2023 tv <tv> 1.6.1-2.mga10
+ Revision: 2020371
- Rebuild for python 3.12

* Mon Nov 27 2023 wally <wally> 1.6.1-1.mga10
+ Revision: 2010139
- imported package python-pyproject-api

